Bug 439650 - ocaml-cil findlib problem
ocaml-cil findlib problem
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ocaml-cil (Show other bugs)
rawhide
i386 Linux
low Severity low
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-29 21:04 EDT by Hezekiah M. Carty
Modified: 2011-11-04 09:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-31 08:02:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hezekiah M. Carty 2008-03-29 21:04:50 EDT
Description of problem:
Trying to #require CIL in the ocaml toplevel fails.  "#load"ing the .cma
directly fails with the same error.

Version-Release number of selected component (if applicable):
[hcarty@fry gsl]$ rpm -qa |grep cil
ocaml-cil-devel-1.3.6-4.fc9.i386
ocaml-cil-1.3.6-4.fc9.i386

How reproducible:
Every time

Steps to Reproduce:
[hcarty@fry gsl]$ rlwrap ocaml
        Objective Caml version 3.10.1

# #use "topfind";;
- : unit = ()
(snipped some findlib output)
# #require "cil";;
/usr/lib/ocaml/cil: added to search path
/usr/lib/ocaml/cil/cil.cma: loaded
The external function `has_performance_counters' is not available
  
Actual results:
cil.cma does not load properly

Expected results:
cil.cma loads properly

Additional info:
CIL is another library I have not used significantly.  This came up during some
general Fedora OCaml library testing.
Comment 1 Richard W.M. Jones 2008-03-31 08:02:12 EDT
This is a tricky one.  The upstream build system is making a broken
cil.cma.  However native code library (cil.cmxa) is fine.

I proved that by recompiling my native-code analysis programs[1] using
ocaml-cil from Fedora 9.

I don't know how to fix this without diving into the horrific
CIL build system, which generally needs fixing anyway but I have
no time or inclination to do it.

So, closed WONTFIX, this is an issue for upstream to sort out, if
they care.

[1] http://et.redhat.com/~rjones/cil-analysis-of-libvirt/
Comment 2 Gabriel Kerneis 2011-11-04 09:38:31 EDT
This should be fixed in the next upstream release (1.4.0).

Note You need to log in before you can comment on or make changes to this bug.